import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Creates a static time stamp.
 *
 * @schema CfnStaticProps
 */
export interface CfnStaticProps {
    /**
     * Optional parameter to represent the time or default is now.
     *
     * @schema CfnStaticProps#Time
     */
    readonly time?: string;
}
/**
 * Converts an object of type 'CfnStaticProps' to JSON representation.
 */
export declare function toJson_CfnStaticProps(obj: CfnStaticProps | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `AwsCommunity::Time::Static`
 *
 * @cloudformationResource AwsCommunity::Time::Static
 * @stability external
 * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
 */
export declare class CfnStatic extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "AwsCommunity::Time::Static";
    /**
     * Resource props.
     */
    readonly props: CfnStaticProps;
    /**
     * Attribute `AwsCommunity::Time::Static.Id`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrId: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Utc`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrUtc: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Day`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrDay: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Hour`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrHour: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Minute`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrMinute: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Month`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrMonth: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Second`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrSecond: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Unix`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrUnix: string;
    /**
     * Attribute `AwsCommunity::Time::Static.Year`
     * @link https://github.com/aws-cloudformation/awscommunity-registry-extensions/resources/Time_Static.git
     */
    readonly attrYear: string;
    /**
     * Create a new `AwsCommunity::Time::Static`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnStaticProps);
}
